Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Constraint

    java.lang.Object
      |
      +--org.hsqldb.Constraint

class Constraint
extends Object

Field Summary
`(package private) final static int` | `FOREIGN_KEY`
`(package private) final static int` | `MAIN`
`(package private) final static int` | `UNIQUE`

Constructor Summary
`(package private)` | `Constraint(int , org.hsqldb.Table , int[] )`
`(package private)` | `Constraint(int , org.hsqldb.Table , org.hsqldb.Table , int[] , int[] )`

Method Summary
`(package private) void` | `checkDelete(java.lang.Object[] )`
`(package private) void` | `checkInsert(java.lang.Object[] )`
`(package private) void` | `checkUpdate(int[] , org.hsqldb.Result , org.hsqldb.Result )`
`(package private) org.hsqldb.Table` | `getMain()`
`(package private) int[]` | `getMainColumns()`
`(package private) org.hsqldb.Table` | `getRef()`
`(package private) int[]` | `getRefColumns()`
`(package private) int` | `getType()`
`(package private) void` | `replaceTable(org.hsqldb.Table , org.hsqldb.Table )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### FOREIGN_KEY

    final static int FOREIGN_KEY

### MAIN

    final static int MAIN

### UNIQUE

    final static int UNIQUE

Constructor Detail

### Constraint

    Constraint(int , org.hsqldb.Table , int[] )

### Constraint

    Constraint(int , org.hsqldb.Table , org.hsqldb.Table , int[] , int[] )

Method Detail

### checkDelete

    void checkDelete(java.lang.Object[] )

### checkInsert

    void checkInsert(java.lang.Object[] )

### checkUpdate

    void checkUpdate(int[] , org.hsqldb.Result , org.hsqldb.Result )

### getMain

    org.hsqldb.Table getMain()

### getMainColumns

    int[] getMainColumns()

### getRef

    org.hsqldb.Table getRef()

### getRefColumns

    int[] getRefColumns()

### getType

    int getType()

### replaceTable

    void replaceTable(org.hsqldb.Table , org.hsqldb.Table )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD